Usage report
curl --request GET \
--url https://usage-service.vatis.tech/usage-service/api/v1/usage/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://usage-service.vatis.tech/usage-service/api/v1/usage/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://usage-service.vatis.tech/usage-service/api/v1/usage/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"startTimestamp": 123,
"endTimestamp": 123,
"currency": "<string>",
"totalMeasurements": {
"credits": "<string>",
"startTimestamp": 123,
"endTimestamp": 123,
"streamsCount": 123,
"streamConfigurationTemplateId": "<string>",
"measurements": {
"executionTime": "<string>",
"storageSize": "<string>",
"ingressSize": "<string>",
"egressSize": "<string>",
"processedAudioLength": "<string>",
"processedTokens": "<string>",
"processedInputTokens": "<string>",
"processedOutputTokens": "<string>"
}
},
"aggregatedMeasurements": [
{
"credits": "<string>",
"startTimestamp": 123,
"endTimestamp": 123,
"streamsCount": 123,
"streamConfigurationTemplateId": "<string>",
"measurements": {
"executionTime": "<string>",
"storageSize": "<string>",
"ingressSize": "<string>",
"egressSize": "<string>",
"processedAudioLength": "<string>",
"processedTokens": "<string>",
"processedInputTokens": "<string>",
"processedOutputTokens": "<string>"
}
}
],
"operationTypeAggregatedMeasurements": [
{
"credits": "<string>",
"startTimestamp": 123,
"endTimestamp": 123,
"streamsCount": 123,
"streamConfigurationTemplateId": "<string>",
"measurements": {
"executionTime": "<string>",
"storageSize": "<string>",
"ingressSize": "<string>",
"egressSize": "<string>",
"processedAudioLength": "<string>",
"processedTokens": "<string>",
"processedInputTokens": "<string>",
"processedOutputTokens": "<string>"
}
}
],
"streamConfigurationTemplateIdAggregatedMeasurements": [
{
"credits": "<string>",
"startTimestamp": 123,
"endTimestamp": 123,
"streamsCount": 123,
"streamConfigurationTemplateId": "<string>",
"measurements": {
"executionTime": "<string>",
"storageSize": "<string>",
"ingressSize": "<string>",
"egressSize": "<string>",
"processedAudioLength": "<string>",
"processedTokens": "<string>",
"processedInputTokens": "<string>",
"processedOutputTokens": "<string>"
}
}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Usage
Usage report
Retrieve usage report for a given time interval
GET
/
usage-service
/
api
/
v1
/
usage
/
report
Usage report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start of the interval. If not specified, it will be the 1st of the current month
Example:
"2021-08-01T00:00:00Z"
End of the interval. If not specified, it will be the current date-time
Example:
"2021-08-01T00:00:00Z"
Granularity of the report. Defaults to 'HOURS'
Available options:
HOURS, DAYS, MONTHS Currency to use for the report. If not specified, the default credits abstraction will be used
Example:
"USD"
Response
Stream canceled successfully
Available options:
HOURS, DAYS, MONTHS Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I